
// This file is included only in GameWnd.cpp...  It is stored 
// separately because it is ugly.

// Xonix only requires 6 colors.  They are arranged in this nice 
// pattern to allow each color to appear as a "layer".  Because 
// we're using fewer than 8 colors, we can store invisible 
// information in the higher order (5 thru 7) DIB bits.

static RGBQUAD g_rgbPalette[] = 
{  // blu,  grn,  red,  n/a
   { 0x00, 0x00, 0x00, 0x00 }, 
   { 0x00, 0x00, 0xFF, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0x00, 0x00, 0x00 }, 
   { 0x00, 0x00, 0xFF, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0x00, 0x00, 0x00 }, 
   { 0x00, 0x00, 0xFF, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0x00, 0x00, 0x00 }, 
   { 0x00, 0x00, 0xFF, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0x00, 0x00, 0x00 }, 
   { 0x00, 0x00, 0xFF, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0x00, 0x00, 0x00 }, 
   { 0x00, 0x00, 0xFF, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0x00, 0x00, 0x00 }, 
   { 0x00, 0x00, 0xFF, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0x00, 0x00, 0x00 }, 
   { 0x00, 0x00, 0xFF, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x84, 0x84, 0x00, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0x00, 0x84, 0x84, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0xFF, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
   { 0x00, 0xFF, 0xFF, 0x00 }, 
};
